#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" <<-EOSQL
    CREATE USER dspace WITH PASSWORD 'dspace1234';
    CREATE DATABASE "XXX-LR-DATABASE" OWNER dspace ENCODING "UTF-8" TEMPLATE template0;
    CREATE DATABASE "XXX-UTILS-DATABASE" OWNER dspace ENCODING "UTF-8" TEMPLATE template0;
EOSQL

psql --username "$POSTGRES_USER" --set=utildir="/tmp/sql/" -p 5432 XXX-UTILS-DATABASE < /tmp/sql/utilities.sql

# this is a better version using kubernetes environment variables
##!/bin/bash
#set -xe
#
#psql --username "$POSTGRES_USER" -c "CREATE USER $dspaceuser WITH PASSWORD '$dspacepassword'";
#psql --username "$POSTGRES_USER" -c "CREATE DATABASE "$dspacedbname" OWNER $dspaceuser ENCODING \"UTF-8\" TEMPLATE template0;"
#psql --username "$POSTGRES_USER" -c "CREATE DATABASE "$dspaceutilsdbname" OWNER $dspaceuser ENCODING \"UTF-8\" TEMPLATE template0;"
#
#psql --username "$POSTGRES_USER" --set=utildir="/tmp/sql/" -p 5432 $secretdspaceutilsdbname < /tmp/sql/utilities.sql
